Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

make launch return error - cannot find a compatible Vulkan driver #1977

Closed
Siqi-Wang47 opened this issue Aug 7, 2019 · 10 comments

Comments

@Siqi-Wang47
Copy link

@Siqi-Wang47 Siqi-Wang47 commented Aug 7, 2019

I am the new to carla simulator. I have followed the document to install carla on Ubuntu 18.04. When I run 'make launch', it occurred an error like 'cannot find a compatible Vulkan dirver '. I tried to run './UE4Editor -opengl4' under the folder ~/Engine/Binaries/Linux, but it still doesn't work. Anyone knows how to solve this issue? I really appreciate your help.
Screenshot from 2019-08-06 19-17-39

@qingmingjie

This comment has been minimized.

Copy link

@qingmingjie qingmingjie commented Aug 8, 2019

You can modify the file yourself. PixelReader.cpp(No need to change it at present) and BuildCarlaUE4.sh(Delete Vulkan-related, if it doesn't work, delete opengl-related). No thanks.

@asharalam11

This comment has been minimized.

Copy link

@asharalam11 asharalam11 commented Aug 8, 2019

You can always install Vulcan from http://linuxconfig.org/install-and-test-vulkan-on-linux

@Siqi-Wang47

This comment has been minimized.

Copy link
Author

@Siqi-Wang47 Siqi-Wang47 commented Aug 8, 2019

@qingmingjie @asharalam11 Thank you guys! I have solved it.

@cassfalg

This comment has been minimized.

Copy link

@cassfalg cassfalg commented Aug 9, 2019

@Siqi-Wang47: If the issue is resolved, please use the comment and close function to close this issue.

@jgollenz

This comment has been minimized.

Copy link

@jgollenz jgollenz commented Sep 24, 2019

@Siqi-Wang47 How did you resolve it exactly? I have the same issue.

@ankurjainjob

This comment has been minimized.

Copy link

@ankurjainjob ankurjainjob commented Oct 24, 2019

how did you solve this issue , i am getting this issue on vmware

@jgollenz

This comment has been minimized.

Copy link

@jgollenz jgollenz commented Oct 24, 2019

@ankurjainjob I resolved this by checking if I had the newest driver installed for my gpu. By default there was some generic driver, so I downloaded and installed the current nVidia driver. It worked fine afterwards (you need to restart then and check if the driver did actually update)

@ankurjainjob

This comment has been minimized.

Copy link

@ankurjainjob ankurjainjob commented Oct 24, 2019

Thanks, but did you worked on VMware, sir I am working on VMware.

@jgollenz

This comment has been minimized.

Copy link

@jgollenz jgollenz commented Oct 24, 2019

@ankurjainjob No, I didn't. Actually, I was just trying to get UE4 running. I do not use carla, if that is relevant for you

@cassfalg

This comment has been minimized.

Copy link

@cassfalg cassfalg commented Oct 24, 2019

If you want this to run in a virtual machine you need to ensure that you have proper 3D acceleration with according drivers. I don't know what the current state of affairs is for that, you need to investigate. A heavy 3D application like carla is not the ideal candidate for a vm though. Best open your own issue, also.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
6 participants
You can’t perform that action at this time.